#!/bin/sh
# Copyright (C) 2015 Avencall
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

set -e

VERSION=$(cat VERSION)
FILENAME="libdnet-${VERSION}.tar.gz"
URL="https://github.com/ofalk/libdnet/archive/refs/tags/libdnet-${VERSION}.tar.gz"

rm -rf tmp
mkdir tmp
cd tmp

wget -nv -O "${FILENAME}" "${URL}"
tar xf "${FILENAME}"

# Build the C part
cd "libdnet-libdnet-${VERSION}"
./configure && make

cd ../..
# Copying the python dir at root of project
rsync -av "tmp/libdnet-libdnet-${VERSION}/python/" .
# Copying dir needed by setup.py in their own dirs
rsync -av "tmp/libdnet-libdnet-${VERSION}/src" .
rsync -av "tmp/libdnet-libdnet-${VERSION}/include" .

# Hacking the setup.py to look for include and src in new
# project structure
sed -i 's#../include#./include#' setup.py
sed -i 's#..//src/#./src#' setup.py

# Trying to build ...
python3 setup.py build
